Audience details
curl --request GET \
--url https://dev.tryunleashx.com/api/v1/global/audience/details \
--header 'token: <token>'import requests
url = "https://dev.tryunleashx.com/api/v1/global/audience/details"
headers = {"token": "<token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<token>'}};
fetch('https://dev.tryunleashx.com/api/v1/global/audience/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"audience_name": "<string>",
"description": "<string>",
"source": 1,
"source_file": "<string>",
"input_variables": [
{
"key": "<string>",
"type": "<string>"
}
],
"tags": [
"<string>"
],
"total_contacts": 123,
"status": 0,
"created_date": "<string>",
"updated_date": "<string>"
}Audience
Audience Details
Retrieve a single audience’s metadata, including its input variables with data types resolved from the input-variable registry.
GET
/
audience
/
details
Audience details
Use this endpoint to retrieve a single audience’s metadata.
Endpoint
GET/audience/details
Authentication: Required (workspace auth)
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
audience_id | number | Yes | Audience identifier |
Response
{
"id": 55,
"audience_name": "VIP Customers",
"description": "High value customers",
"source": 1,
"source_file": null,
"input_variables": [
{ "key": "mobile_no", "type": "phone" },
{ "key": "name", "type": "name" }
],
"tags": ["vip", "renewal"],
"total_contacts": 320,
"status": 1,
"created_date": "10 Dec, 2025 14:30",
"updated_date": "2 hours ago"
}
| Field | Type | Description |
|---|---|---|
source | number | 1 = CSV/Bulk Upload, 2 = Manual |
input_variables | array | Each of the audience’s saved variable keys with its data type resolved from the input-variable registry (defaults to string if not found). |
status | number | See Audience Status Codes |
updated_date | string | Relative time (e.g. 2 hours ago) |
Audience Status Codes
| Code | Status |
|---|---|
0 | Inactive |
1 | Active |
2 | Deleted |
Error Cases
| Error | Cause |
|---|---|
Audience Id is missing. | audience_id not provided |
Audience not found | audience_id doesn’t belong to the caller’s company/workspace, or is deleted |
Example cURL
curl -X GET "https://www.tryunleashx.com/api/v1/global/audience/details?audience_id=55" \
-H "token: <api_key>"
Headers
API token for authentication
Query Parameters
Audience identifier
Response
Audience details retrieved successfully
Was this page helpful?
⌘I

